using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsCE.Forms;

namespace ScreenRotate_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif
        }

        // запоминаем настройки экрана
        ScreenOrientation initialOrientation = SystemSettings.ScreenOrientation;

        private void butRot90_Click(object sender, EventArgs e)
        {
            // поворачиваем экран на 90 градусов
            SystemSettings.ScreenOrientation = ScreenOrientation.Angle90;
        }

        private void butRestore_Click(object sender, EventArgs e)
        {
            // восстанавливаем старую ориентацию
            if (SystemSettings.ScreenOrientation != initialOrientation)
            {
                try
                {
                    SystemSettings.ScreenOrientation = initialOrientation;
                }
                catch (Exception)
                {
                    // Невозможно вернуться к старым настройкам 
                    MessageBox.Show("Не могу восстановить " +
                        "предыдущую ориентацию экрана.");
                }
            }
        }
    }
}